Package org.eclipse.ui

## Interface IWorkbenchPartDescriptor

All Known Subinterfaces:
  `IEditorDescriptor`, `IViewDescriptor`, `IWizardDescriptor`

    public interface IWorkbenchPartDescriptor

Description of a workbench part. The part descriptor contains the information needed to create part instances.

This interface is not intended to be implemented by clients.

Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getId()` Returns the part id.
`ImageDescriptor` `getImageDescriptor()` Returns the descriptor of the image for this part.
`String` `getLabel()` Returns the label to show for this part.

### Method Detail

#### getId

    String getId()

Returns the part id.

Returns:
  the id of the part

#### getImageDescriptor

    ImageDescriptor getImageDescriptor()

Returns the descriptor of the image for this part.

Returns:
  the descriptor of the image to display next to this part

#### getLabel

    String getLabel()

Returns the label to show for this part.

Returns:
  the part label